# DS_HuffmanEncodingTree.h File Reference

[Internal] Generates a huffman encoding tree, used for string and global compression. More...

`#include "RakMemoryOverride.h"`
`#include "DS_HuffmanEncodingTreeNode.h"`
`#include "BitStream.h"`
`#include "Export.h"`
`#include "DS_LinkedList.h"`

## Classes
class | HuffmanEncodingTree
| This generates special cases of the huffman encoding tree using 8 bit keys with the additional condition that unused combinations of 8 bits are treated as a frequency of 1. More...

## Detailed Description

[Internal] Generates a huffman encoding tree, used for string and global compression.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.